 clear;  clc; 

%% Load data:
load('dataset_EvsSE') 
[YA50, YB50] = deal(dataset_EvsSE.Low.E.Shoulder_FE, dataset_EvsSE.Low.SE.Shoulder_FE);
[YA70, YB70] = deal(dataset_EvsSE.High.E.Shoulder_FE, dataset_EvsSE.High.SE.Shoulder_FE);
[YAWingate, YBWingate] = deal(dataset_EvsSE.Wingate.E.Shoulder_FE, dataset_EvsSE.Wingate.SE.Shoulder_FE);
%YA Elite
%YB Sub-Elite



%% Conduct SPM analysis:
t50       = spm1d.stats.ttest2(YA50, YB50);
t70       = spm1d.stats.ttest2(YA70, YB70);
tWingate  = spm1d.stats.ttest2(YAWingate, YBWingate);


alpha      = 0.05;
nTests     = 3;
p_critical = spm1d.util.p_critical_bonf(alpha, nTests);
t50i       = t50.inference(0.05, 'two_tailed',true, 'interp',true);
t70i       = t70.inference(0.05, 'two_tailed',true, 'interp',true);
tWingatei  = tWingate.inference(0.05, 'two_tailed',true, 'interp',true);
% t50i       = t50.inference(0.05, 'two_tailed',true, 'interp',true);
% t70i       = t70.inference(0.05, 'two_tailed',true, 'interp',true);
% tWingatei  = tWingate.inference(0.05, 'two_tailed',true, 'interp',true);

disp(t50i)
disp(t70i)
disp(tWingatei)

%% Study Graphs

a = t50i.h0reject;
b = t70i.h0reject;
c = tWingatei.h0reject;

%% Y Axis Options - Select Axis Min Max
YAxisMax = 60;
YAxisMin = -40; 

figure ('position', [0 0 1200 300])

set(gca,'FontName','Arial','FontSize',10,'FontWeight','Bold','LineWidth', 1);

%% subplot(131);
subplot('Position',[0.05 0.15 0.275 0.75])
if a == 1
% xbars = t50i.clusters{:,:}.endpoints;
% patch([xbars(1) xbars(1), xbars(2) xbars(2)], [YAxisMin YAxisMax YAxisMax YAxisMin], [0.9 0.9 0.9])
% If there are 2 Sig Clusters
xbars1 = t50i.clusters{1,1}.endpoints;
patch([xbars1(1) xbars1(1), xbars1(2) xbars1(2)], [YAxisMin YAxisMax YAxisMax YAxisMin], [0.9 0.9 0.9])
xbars2 = t50i.clusters{1,2}.endpoints;
patch([xbars2(1) xbars2(1), xbars2(2) xbars2(2)], [YAxisMin YAxisMax YAxisMax YAxisMin], [0.9 0.9 0.9])
hold on
else
end
spm1d.plot.plot_meanSD(YA50,'color','r');
hold on
spm1d.plot.plot_meanSD(YB50, 'color','b');
% spm1d.plot.plot_meanSD(YB50, 'color','0.4 0.4 0.4');
hold on


% Options
% title('Training')
xlabel ('Cycle (%)','FontWeight','bold')
ylabel ('Shoulder Flexion/Extension ()','FontWeight','bold')
axis([0  100    YAxisMin  YAxisMax]) % Change Axis
%legend ('Competitive Mean', 'Competitive SD','Recreational Mean','Recreational SD','Location','southwest')
box on

%% subplot(132);
subplot('Position',[0.36 0.15 0.275 0.75])
if b == 1
xbars = t70i.clusters{:,:}.endpoints;
patch([xbars(1) xbars(1), xbars(2) xbars(2)], [YAxisMin YAxisMax YAxisMax YAxisMin], [0.9 0.9 0.9])
hold on
else
end
spm1d.plot.plot_meanSD(YA70,'color','r');
hold on
spm1d.plot.plot_meanSD(YB70, 'color','b');
hold on

% Options
% title('Competition')
xlabel ('Cycle (%)','FontWeight','bold')
% ylabel ('Joint Angle ()')
axis([0  100    YAxisMin  YAxisMax]) % Change Axis
box on
%% subplot(133);
subplot('Position',[0.67 0.15 0.275 0.75])
if c ==1
xbars1 = tWingatei.clusters{:,:}.endpoints;
patch([xbars1(1) xbars1(1), xbars1(2) xbars1(2)], [min(ylim) max(ylim) max(ylim) min(ylim)], [0.8 0.8 0.8])
% patch([xbars(1) xbars(1), xbars(2) xbars(2)], [50 75 75 50], [0.8 0.8 0.8])
else
end
spm1d.plot.plot_meanSD(YAWingate, 'color','r')
hold on
spm1d.plot.plot_meanSD(YBWingate, 'color','b');
hold on

% Options
% title('Sprint')
xlabel ('Cycle (%)','FontWeight','bold')
% ylabel ('Joint Angle ()')
axis([0  100   YAxisMin  YAxisMax]) % Change Axis
box on

